| Home | Libraries | People | FAQ | More

#### websocket::frame_type

The type of received control frame.

##### Synopsis

Defined in header `<boost/beast/websocket/stream.hpp>`

    enum frame_type

##### Values

Name | Description
--- | ---
`close` | A close frame was received.
`ping` | A ping frame was received.
`pong` | A pong frame was received.

##### Description

Values of this type are passed to the control frame callback set using `websocket::stream::control_callback`.

Convenience header `<boost/beast/websocket.hpp>`